---
repos:
  - repo: local
    hooks:
      - id: end-of-file-fixer
        name: end-of-file-fixer
        entry: end-of-file-fixer
        language: system
        types:
          - text

      - id: trailing-whitespace-fixer
        name: trailing-whitespace-fixer
        entry: trailing-whitespace-fixer
        language: system
        types:
          - text

      - id: check-merge-conflict
        name: check-merge-conflict
        entry: check-merge-conflict
        language: system
        types:
          - text

      - id: mdformat
        name: mdformat
        entry: mdformat
        language: system
        args:
          - "--number"
          - "--wrap=90"
        types:
          - markdown

      - id: terraform
        name: terraform format
        entry: terraform
        language: system
        args:
          - fmt
        files: ".*\\.tf$"
